org.apache.lucene.analysis.ko

## Class KoreanReadingFormFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.ko.KoreanReadingFormFilterFactory

-     public class KoreanReadingFormFilterFactory
      extends TokenFilterFactory

  Factory for `KoreanReadingFormFilter`.

       <fieldType name="text_ko" class="solr.TextField">
         <analyzer>
           <tokenizer class="solr.KoreanTokenizerFactory"/>
           <filter class="solr.KoreanReadingFormFilterFactory"/>
         </analyzer>
       </fieldType>

  Since:
    7.4.0
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KoreanReadingFormFilterFactory(Map<String,String> args)` Creates a new KoreanReadingFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KoreanReadingFormFilterFactory

          public KoreanReadingFormFilterFactory(Map<String,String> args)

      Creates a new KoreanReadingFilterFactory

  - ### Method Detail

    - #### create

          public TokenStream create(TokenStream input)

      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.